Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.jsp.wb
Class CalendarWB

`java.lang.Object
oracle.jdeveloper.html.WebBeanImpl
oracle.jbo.html.WebBeanImpl
oracle.jdeveloper.jsp.wb.CalendarWB`

All Implemented Interfaces:
  WebBean

public final class CalendarWB
extends WebBeanImpl

Field Summary
`java.text.DateFormatSymbols` | `dateSymbols`
`int` | `dowCount`
`int` | `firstDOW`
`int` | `lastDOW`
`static int` | `MILLIS_IN_DAY`

Fields inherited from class oracle.jdeveloper.html.WebBeanImpl
`application, bUsedInTag, out, page, request, response, session`

Fields inherited from interface oracle.jdeveloper.html.WebBean
`contentFrameName, defaultCaboBase, defaultCaboImageBase, defaultImageBase, defaultJSPBase, defaultNLSFormat, JS_LIBRARIES, JS_NAMEID, JSButtonConstructorLib, JSCalendarConstructorLib, JSContainerConstructorLib, JSDataConstructLib, JSModalPageConstructorLib, JSTableConstructLib, JSToolbarConstructorLib, JSTreeConstructLib, JSUtilitiesLib`

Constructor Summary
`CalendarWB()`

Method Summary
`int` | `getActualMaximumDayOfMonth()`
`int` | `getActualMinimumDayOfMonth()`
`java.util.Calendar` | `getCalendar()`
`java.util.Calendar` | `getDisplayedCalendar(long selectedTime)` Returns the Calendar to display
`static long` | `getFirstDayOfMonthTime(long displayedTime)`
`int` | `getFirstDOM()`
`long` | `getFirstDOMTime()`
`java.lang.String` | `getFormat()`
`java.lang.String` | `getFormatedTime(long currTime)`
`Formatter` | `getFormatter()`
`int` | `getLastDOM()`
`long` | `getLastDOMTime()`
`java.util.Locale` | `getLocale()`
`long` | `getMaxTime()`
`long` | `getMinTime()`
`java.lang.String` | `getMonth()`
`java.lang.String` | `getNextMonthUrl()`
`java.lang.String` | `getPreviousMonthUrl()`
`long` | `getSelectedTime(long minTime, long maxTime)`
`long` | `getTimeAttr(java.lang.String key, long defaultTime)`
`int` | `getYear()`
`void` | `internalInitialize()` Internal initialize.
`boolean` | `isDayEnable(long currTime)`
`boolean` | `isNextMonthEnable()`
`boolean` | `isPreviousMonthEnable()`
`boolean` | `isSelectedDay(long currTime, long nextTime)`

Methods inherited from class oracle.jbo.html.WebBeanImpl
`setUsedInTag`

Methods inherited from class oracle.jdeveloper.html.WebBeanImpl
`generateScriptSrc, getCookie, getOut, getRequest, getRequestVariable, getRequestVariable, getUniqueName, initBeanForJS, initBeanForJS, initBeanForJS, initialize, initialize, initialize, render, render, setRequestVariable, setRequestVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MILLIS_IN_DAY

    public static final int MILLIS_IN_DAY

  See Also:
    Constant Field Values

### firstDOW

    public int firstDOW

### lastDOW

    public int lastDOW

### dowCount

    public int dowCount

### dateSymbols

    public java.text.DateFormatSymbols dateSymbols

Constructor Detail

### CalendarWB

    public CalendarWB()

Method Detail

### internalInitialize

    public void internalInitialize()
                            throws java.lang.Exception

  Description copied from class: `WebBeanImpl`
  Internal initialize. This method should be overriden by any WebBean needing to initialize some internal data after all the base class member have been initialize properly.
  Specified by:
    `internalInitialize` in interface `WebBean`
  Overrides:
    `internalInitialize` in class `WebBeanImpl`
  Throws:
    `java.lang.Exception`

### getCalendar

    public java.util.Calendar getCalendar()

### getPreviousMonthUrl

    public java.lang.String getPreviousMonthUrl()

### getNextMonthUrl

    public java.lang.String getNextMonthUrl()

### isPreviousMonthEnable

    public boolean isPreviousMonthEnable()

### isNextMonthEnable

    public boolean isNextMonthEnable()

### isDayEnable

    public boolean isDayEnable(long currTime)

### isSelectedDay

    public boolean isSelectedDay(long currTime,
                                 long nextTime)

### getMonth

    public java.lang.String getMonth()

### getYear

    public int getYear()

### getFirstDOM

    public int getFirstDOM()

### getLastDOM

    public int getLastDOM()

### getFirstDOMTime

    public long getFirstDOMTime()

### getLastDOMTime

    public long getLastDOMTime()

### getFirstDayOfMonthTime

    public static long getFirstDayOfMonthTime(long displayedTime)

### getActualMinimumDayOfMonth

    public int getActualMinimumDayOfMonth()

### getActualMaximumDayOfMonth

    public int getActualMaximumDayOfMonth()

### getTimeAttr

    public long getTimeAttr(java.lang.String key,
                            long defaultTime)

### getLocale

    public java.util.Locale getLocale()

### getFormat

    public java.lang.String getFormat()

### getFormatter

    public Formatter getFormatter()

### getMinTime

    public long getMinTime()

### getMaxTime

    public long getMaxTime()

### getSelectedTime

    public long getSelectedTime(long minTime,
                                long maxTime)

### getDisplayedCalendar

    public java.util.Calendar getDisplayedCalendar(long selectedTime)

  Returns the Calendar to display

### getFormatedTime

    public java.lang.String getFormatedTime(long currTime)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.